#!/bin/sh

# the day of the month at which your provider starts counting minutes
MONTH_STARTDAY=12
# Free minutes alloted in the month
FREEMINUTES=300
#Number of sms messages per minute (has to be integer)
SMSPERMINUTE=0
#Free numbers
FREE='"123","333"'

# the path to the database
DB_PATH="/home/user/.rtcom-eventlogger/el-v1.db"

# calculate the first date to include in the listing
DAY=`date +%-d`
MONTH=`date +%-m`
YEAR=`date +%Y`
if [ "$DAY" -lt "$MONTH_STARTDAY" ]
then
  MONTH=$(($MONTH-1))
  if [ "$MONTH" -eq "0" ]
  then
    MONTH=12
    YEAR=$(($YEAR-1))
  fi
fi
if [ "$MONTH" -lt "10" ]; then MONTH="0$MONTH"; fi;
if [ "$MONTH_STARTDAY" -lt "10" ]; then MONTH_STARTDAY="0$MONTH_STARTDAY"; fi;
DATESTRING="$YEAR-$MONTH-$MONTH_STARTDAY"

# sql queries


callminutes=`sqlite3  -list $DB_PATH "select  sum((end_time-start_time+60)/60) as minutes from Events as E where E.local_uid = 'ring/tel/ring' and E.outgoing = 1 and E.remote_uid NOT IN($FREE) and  end_time > 0 and start_time > strftime('%s','$DATESTRING');"`

smscalls=`sqlite3 -list $DB_PATH   "select count(*)  from Events as E where  E.local_uid = 'ring/tel/ring' and E.outgoing = 1 and E.event_type_id=7 and  start_time > strftime('%s','$DATESTRING');"`

if [ -z $callminutes ]; then
callminutes=0
fi

if [ -z $smscalls ]; then
smscalls=0
fi

smsminutes=0
if [ "$SMSPERMINUTE" != "0" ]; then
smsminutes=`expr $smscalls / $SMSPERMINUTE`
fi

usedminutes=`expr  $callminutes + $smsminutes`

#Debug info
#echo $callminutes
#echo $smsminutes
#echo $usedminutes
#echo $smscalls

dbus-send --system    /org/calltimer/values org.calltimer.values.give_some_values string:$usedminutes string:`expr $FREEMINUTES - $usedminutes`
